import {useState} from 'react';
import logo from './logo.svg';
import './App.scss';

const Avatar = ({image="https://cdn.pixabay.com/photo/2016/08/08/09/17/avatar-1577909_1280.png"}) => 
<img className='Avatar' src={image}/>

const PasswordInput = ({minLength=4, goodLength=10}) => {
    const [password, setPassword] = useState('')

    //wrongPassword, sosoPassword, goodPassword
    const className = password.length < minLength ? 'wrongPassword' : 
                      (password.length < goodLength ? 'sosoPassword' : 'goodPassword')

    return (
        <input type='password'
               value={password}
               onChange={e => setPassword(e.target.value)} 
               className={className}
               />
    )
}

const testUser = {
    //name: 'Vasya',
    //fatherName: 'Ivanovich',
    surname: 'Petrov',
    age: 22
}

const AdultContent = () =>
<div>
    <h1>БАННЕР С ПИВАСОМ</h1>
</div>

const HelloUserBanner = ({user}) =>  {
    //const showBanner = user.age && user.age > 18
    //let showBanner = false
    //if (user.age && user.age > 18){
        //showBanner = true
    //}
    return (
    <div>
        {user.name && <span className='UserName'>{user.name}</span>}
        {user.fatherName && <span className='UserFathername'>{user.fatherName}</span> }
        {user.surname && <span className='UserSurname'>{user.surname}</span>}
        {user.age && user.age > 18 && <AdultContent />}
    </div> )
}


const HelloUserBannerOr = ({user}) => 
<div>
    <span className='UserName'>{user.name || 'Anonymous'}</span>
    <span className='UserFathername'>{user.fatherName || 'Anonymovich'}</span> 
    <span className='UserSurname'>{user.surname || 'Anonimov'}</span>
</div>


const Accordion3 = ({content1, content2, content3, header1, header2, header3}) => {
    const [opened, setOpened] = useState(false)
    console.log(opened)
    return (
        <div>
            <h2 onClick={() => setOpened(1)}>{header1}</h2>
            {opened === 1 && content1}
            <h2 onClick={() => setOpened(2)}>{header2}</h2>
            {opened === 2 && content2}
            <h2 onClick={() => setOpened(3)}>{header3}</h2>
            {opened === 3 && content3}
        </div>
    )
}


const App = () => 
<>
    { /*   <Avatar image="http://www.smileexpo.ru/public/upload/news/tn_10_faktov_ob_eynshteyne_kotorih_vi_ne_znali_14458667137751_image.jpg"/>
    <Avatar />
    <PasswordInput />
    <HelloUserBanner user={testUser} /> */ }
    <Accordion3 header1="первый" 
                header2="второй"
                header3="третий" 
                content1={<div>ПЕРВЫЙ КОНТЕНТ</div>}
                content2="просто строка без верстки"
                content3={<input placeholder="ТРЕТИЙ КОНТЕНТ"/>}
                />
</>

export default App;
